%define pkgname AnyEvent
%define filelist %{pkgname}-%{version}-filelist
%define NVR %{pkgname}-%{version}-%{release}
%define maketest 1

Name:      perl-%pkgname
Summary:   Provide framework for multiple event loops
Version:   4.231
Release:   %mkrel 1
Epoch: 1
License:   Artistic
Group:     Development/Perl
URL:       http://search.cpan.org/~mlehmann/AnyEvent/lib/AnyEvent.pm
SOURCE:    http://search.cpan.org/CPAN/authors/id/M/ML/MLEHMANN/AnyEvent-%version.tar.gz
Buildroot: %{_tmppath}/%{name}-%{version}-%(id -u -n)
Buildarch: noarch
BuildRequires: perl-devel
BuildRequires: perl-Event

%description
AnyEvent - provide framework for multiple event loops
Event, Glib, Tk, Perl, - various supported event loops

%package EV
Group: Development/Perl
Summary: Provide framework for multiple event loops - EV integration
%description EV
AnyEvent - provide framework for multiple event loops
EV event loop integration

%package Event-Lib
Group: Development/Perl
Summary: Provide framework for multiple event loops - Event::Lib integration
%description Event-Lib
AnyEvent - provide framework for multiple event loops
Event::Lib event loop integration


%package Qt
Group: Development/Perl
Summary: Provide framework for multiple event loops - Qt integration
%description Qt
AnyEvent - provide framework for multiple event loops
Qt event loop integration


%package Tk
Group: Development/Perl
Summary: Provide framework for multiple event loops - Tk integration
%description Tk
AnyEvent - provide framework for multiple event loops
Tk event loop integration

%package POE
Group: Development/Perl
Summary: Provide framework for multiple event loops - POE integration
%description POE
AnyEvent - provide framework for multiple event loops
POE event loop integration


%prep
%setup -q -n %{pkgname}-%{version} 
chmod -R u+w %{_builddir}/%{pkgname}-%{version}

%build
grep -rsl '^#!.*perl' . |
grep -v '.bak$' |xargs --no-run-if-empty \
%__perl -MExtUtils::MakeMaker -e 'MY->fixin(@ARGV)'
CFLAGS="$RPM_OPT_FLAGS"
%{__perl} Makefile.PL `%{__perl} -MExtUtils::MakeMaker -e ' print qq|PREFIX=%{buildroot}%{_prefix}| if \$ExtUtils::MakeMaker::VERSION =~ /5\.9[1-6]|6\.0[0-5]/ '` INSTALLDIRS=vendor
%{__make} 
%check
%{__make} test

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%{makeinstall} `%{__perl} -MExtUtils::MakeMaker -e ' print \$ExtUtils::MakeMaker::VERSION <= 6.05 ? qq|PREFIX=%{buildroot}%{_prefix}| : qq|DESTDIR=%{buildroot}| '`

# remove special files
find %{buildroot} -name "perllocal.pod" \
    -o -name ".packlist"                \
    -o -name "*.bs"                     \
    |xargs -i rm -f {}

# no empty directories
find %{buildroot}%{_prefix}             \
    -type d -depth                      \
    -exec rmdir {} \; 2>/dev/null

#gw perl-Qt is not available:
rm -f %buildroot{%{perl_vendorlib}/AnyEvent/Impl/Qt.pm,%_mandir/man3/AnyEvent::Impl::Qt*}

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README Changes
%{perl_vendorlib}/AnyEvent.pm
%dir %{perl_vendorlib}/AnyEvent
%dir %{perl_vendorlib}/AnyEvent/Impl
%{perl_vendorlib}/AnyEvent/DNS.pm
%{perl_vendorlib}/AnyEvent/Handle.pm
%{perl_vendorlib}/AnyEvent/Socket.pm
%{perl_vendorlib}/AnyEvent/Strict.pm
%{perl_vendorlib}/AnyEvent/Intro.pod
%{perl_vendorlib}/AnyEvent/Util.pm
%{perl_vendorlib}/AnyEvent/Impl/Event.pm
%{perl_vendorlib}/AnyEvent/Impl/Glib.pm
%{perl_vendorlib}/AnyEvent/Impl/Perl.pm
%_mandir/man3/AnyEvent.3pm*
%_mandir/man3/AnyEvent::DNS*
%_mandir/man3/AnyEvent::Handle*
%_mandir/man3/AnyEvent::Socket.*
%_mandir/man3/AnyEvent::Strict.*
%_mandir/man3/AnyEvent::Util.*
%_mandir/man3/AnyEvent::Intro.*
%_mandir/man3/AnyEvent::Impl::Event.*
%_mandir/man3/AnyEvent::Impl::Glib.*
%_mandir/man3/AnyEvent::Impl::Perl*



%files EV
%defattr(-,root,root)
%{perl_vendorlib}/AnyEvent/Impl/EV.pm
%_mandir/man3/AnyEvent::Impl::EV.3pm*

%files Event-Lib
%defattr(-,root,root)
%{perl_vendorlib}/AnyEvent/Impl/EventLib.pm
%_mandir/man3/AnyEvent::Impl::EventLib.3pm*

%files Tk
%defattr(-,root,root)
%{perl_vendorlib}/AnyEvent/Impl/Tk.pm
%_mandir/man3/AnyEvent::Impl::Tk*

%files POE
%defattr(-,root,root)
%{perl_vendorlib}/AnyEvent/Impl/POE.pm
%_mandir/man3/AnyEvent::Impl::POE*

#%files Qt
#%defattr(-,root,root)
#%{perl_vendorlib}/AnyEvent/Impl/Qt.pm
#%_mandir/man3/AnyEvent::Impl::Qt*





%changelog
* Thu Aug 14 2008 Götz Waschk <waschk@mandriva.org> 1:4.231-1mdv2009.0
+ Revision: 271727
- new version
- update file list

* Wed Jul 09 2008 Götz Waschk <waschk@mandriva.org> 1:4.151-2mdv2009.0
+ Revision: 232915
- drop perl-AnyEvent-Qt

* Tue Jun 10 2008 Götz Waschk <waschk@mandriva.org> 1:4.151-1mdv2009.0
+ Revision: 217358
- new version
- update file list

* Wed May 28 2008 Götz Waschk <waschk@mandriva.org> 1:4.05-1mdv2009.0
+ Revision: 212545
- new version
- drop Coro package
- add subpackages for Event-Lib, Qt and POE

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Nov 28 2007 Götz Waschk <waschk@mandriva.org> 1:2.8-2mdv2008.1
+ Revision: 113642
- drop perl-AnyEvent-Coro-EV

* Mon Nov 26 2007 Götz Waschk <waschk@mandriva.org> 1:2.8-1mdv2008.1
+ Revision: 112049
- new version
- add new modules

* Sat Oct 27 2007 Götz Waschk <waschk@mandriva.org> 2.54-1mdv2008.1
+ Revision: 102572
- new version
- update URL
- update file list


* Fri Oct 27 2006 Nicolas Lécureuil <neoclust@mandriva.org> 1.02-2mdv2007.0
+ Revision: 73171
- import perl-AnyEvent-1.02-2mdv2007.0

* Fri Jul 21 2006 Gtz Waschk <waschk@mandriva.org> 1.02-1mdv2007.0
- Rebuild

* Tue Apr 04 2006 Gtz Waschk <waschk@mandriva.org> 1.02-1mdk
- initial package

